
import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="fulcrmpy",
    version="0.0.1",
    author="Marek Isalski",
    author_email="fulcrmpy.pypi@maz.nu",
    description="Python bindings for fulcrm - https://fulcrm.org/",
    long_description=long_description,
    long_description_content_type="text/markdown",
    install_requires=['requests>=2.21.0', 'pytz'],
    url="https://gitea.faelix.net/FAELIX/fulcrmpy",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
)

